package com.ss.android.ugc.aweme.im.message.template.component;

import X.7he;
import X.C0603Tcf;
import X.Crj;
import X.M12;
import X.TcR;
import X.TcS;
import X.TcT;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import java.util.Objects;

public final class PreviewHintComponent implements BaseComponent<C0603Tcf> {
    public static final Parcelable.Creator<PreviewHintComponent> CREATOR = new TcR();
    public static final Crj LIZLLL = 7he.LIZ(TcT.LIZ);
    public static final TcS LJ = new TcS((byte) 0);
    public final TextComponent LIZ;
    public final TextComponent LIZIZ;
    public final TextComponent LIZJ;

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof PreviewHintComponent)) {
            return false;
        }
        return M12.LIZ(((PreviewHintComponent) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("PreviewHintComponent:%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        this.LIZ.writeToParcel(parcel, 0);
        this.LIZIZ.writeToParcel(parcel, 0);
        this.LIZJ.writeToParcel(parcel, 0);
    }

    static {
        Covode.recordClassIndex(83661);
    }

    public PreviewHintComponent(TextComponent textComponent, TextComponent textComponent2, TextComponent textComponent3) {
        M12.LIZ(textComponent, textComponent2, textComponent3);
        this.LIZ = textComponent;
        this.LIZIZ = textComponent2;
        this.LIZJ = textComponent3;
    }
}
